## compiz-boxmenu 1.1.12

=== Makefile ===
# PREFIX fixing
ifneq ("$(LOCALBASE)","")
	PREFIX=$(LOCALBASE)
else
	PREFIX?=/usr
endif

# checking for python
PYTHONBIN?=$(shell which python$(shell pkg-config --modversion python-2.7 2> /dev/null))
PYTHONBIN?=$(shell which python2.6)
PYTHONBIN?=$(shell which python2)

ifeq ("$(PYTHONBIN)", "")
$(error Python not found. Version >= 2.7 or 2.6 is required.)
endif

# Set up compile flags
CPPFLAGS := `pkg-config --cflags dbus-glib-1 gdk-2.0 gtk+-2.0 libwnck-1.0`
CPPFLAGS_CLIENT := `pkg-config --cflags dbus-glib-1`
WARNINGS := -Wall -Wextra -Wno-unused-parameter
ifneq ("$(DEBUG)","")
	CFLAGS := -O2 -g $(WARNINGS)
else
	CFLAGS := $(WARNINGS)
endif
LDFLAGS := -Wl,--as-needed `pkg-config --libs dbus-glib-1 gdk-2.0 gtk+-2.0 libwnck-1.0`
LDFLAGS_CLIENT := -Wl,--as-needed `pkg-config --libs dbus-glib-1`

VERSION=1.1.12

# Targets

all: deskmenu-glue.h compiz-boxmenu-daemon compiz-boxmenu compiz-boxmenu-dlist compiz-boxmenu-dplist compiz-boxmenu-vplist compiz-boxmenu-wlist compiz-boxmenu-editor

#has manpage
compiz-boxmenu:
	$(CC) -o $@ deskmenu.c deskmenu-common.h $(LDFLAGS_CLIENT) $(CPPFLAGS_CLIENT) $(CFLAGS)  
	m4 -DVERSION=$(VERSION) man/$@.1.in > man/$@.1

#has manpage
compiz-boxmenu-dlist:
	$(CC) -o $@ deskmenu-documentlist-client.c deskmenu-common.h $(LDFLAGS_CLIENT) $(CPPFLAGS_CLIENT) $(CFLAGS) 
	m4 -DVERSION=$(VERSION) man/$@.1.in > man/$@.1

#has manpage
compiz-boxmenu-vplist:
	$(CC) -o $@ deskmenu-vplist-client.c deskmenu-common.h $(LDFLAGS_CLIENT) $(CPPFLAGS_CLIENT) $(CFLAGS)
	m4 -DVERSION=$(VERSION) man/$@.1.in > man/$@.1

#has manpage
compiz-boxmenu-dplist:
	$(CC) -o $@ deskmenu-dplist-client.c deskmenu-common.h $(LDFLAGS_CLIENT) $(CPPFLAGS_CLIENT) $(CFLAGS) 
	m4 -DVERSION=$(VERSION) man/$@.1.in > man/$@.1

#has manpage
compiz-boxmenu-wlist:
	$(CC) -o $@ deskmenu-windowlist-client.c deskmenu-common.h $(LDFLAGS_CLIENT) $(CPPFLAGS_CLIENT) $(CFLAGS)
	m4 -DVERSION=$(VERSION) man/$@.1.in > man/$@.1

#has manpage
compiz-boxmenu-daemon:
	$(CC) -o $@ deskmenu-menu.c deskmenu-wnck.c deskmenu-utils.c $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) 
	m4 -DVERSION=$(VERSION) man/$@.1.in > man/$@.1

compiz-boxmenu-editor:
	m4 -d -DLOOK_HERE=$(PREFIX)/share/cb-editor -DPYTHONBIN=$(PYTHONBIN) $@.in >$@
	m4 -DVERSION=$(VERSION) man/$@.1.in > man/$@.1

deskmenu-glue.h:
	dbus-binding-tool --mode=glib-server --prefix=deskmenu --output=$@ deskmenu-service.xml

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/cb-editor
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install -m755 compiz-boxmenu $(DESTDIR)$(PREFIX)/bin/
	install -m755 compiz-boxmenu-dlist $(DESTDIR)$(PREFIX)/bin/
	install -m755 compiz-boxmenu-dplist $(DESTDIR)$(PREFIX)/bin/
	install -m755 compiz-boxmenu-vplist $(DESTDIR)$(PREFIX)/bin/
	install -m755 compiz-boxmenu-wlist $(DESTDIR)$(PREFIX)/bin/
	install -m755 compiz-boxmenu-daemon $(DESTDIR)$(PREFIX)/bin/
	install -m755 compiz-boxmenu-editor $(DESTDIR)$(PREFIX)/bin/
	install -m644 new-editor/* $(DESTDIR)$(PREFIX)/share/cb-editor
	cp -r hicolor $(DESTDIR)$(PREFIX)/share/icons
	mkdir -p $(DESTDIR)$(LOCALBASE)/etc/xdg/compiz/boxmenu/
	install -m644 menu.xml $(DESTDIR)$(LOCALBASE)/etc/xdg/compiz/boxmenu/
	install -m644 precache.ini $(DESTDIR)$(LOCALBASE)/etc/xdg/compiz/boxmenu/
	mkdir -p $(DESTDIR)$(PREFIX)/share/dbus-1/services/
	install -m644 org.compiz_fusion.boxmenu.service $(DESTDIR)$(PREFIX)/share/dbus-1/services/
	install -m644 man/*.1 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m644 Compiz-Boxmenu-Editor.desktop $(DESTDIR)$(PREFIX)/share/applications

clean:
	rm -f compiz-boxmenu compiz-boxmenu-dlist compiz-boxmenu-vplist compiz-boxmenu-dplist compiz-boxmenu-wlist compiz-boxmenu-daemon deskmenu-glue.h compiz-boxmenu-editor man/*.1

=== debian/changelog ===
compiz-boxmenu (1.1.12-7build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:09 +1100

compiz-boxmenu (1.1.12-7build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:07:08 +0000

compiz-boxmenu (1.1.12-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Remove .git from end of gitlab URL in Homepage field
  * control: Make Multi-Arch: foreign.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:57:21 +0100

compiz-boxmenu (1.1.12-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 17:49:02 +0100

compiz-boxmenu (1.1.12-5) unstable; urgency=medium

  * control: Bump Standards-Version to 4.5.0 (no change).
  * Bump debhelper from 11 to 12.
  * watch: Update URL.
  * patches/flags: Fix passing hardening flags.
  * patches/desktop: Fix .desktop category.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:00:47 +0100

compiz-boxmenu (1.1.12-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * patches/cross.patch: Fix FTCBFS (Closes: Bug#959809).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 12:26:11 +0200

compiz-boxmenu (1.1.12-3) unstable; urgency=medium

  * patches/clang: Fix build with clang.
  * patches/python3: Add python3 support (Closes: Bug#939491).
  * patches/gerror: Fix accessing GError.
  * control: Drop unused python-dev build-dep. Add missing python and gir
    dependencies.
  * rules: Set PYTHONBIN to /usr/bin/python3.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 May 2020 13:11:57 +0200

compiz-boxmenu (1.1.12-2) unstable; urgency=medium

  * copyright: Factorize GPL-2+ paragraph.
  * watch: Generalize pattern.
  * watch: switch to gitlab
  * Update usptream URL
  * patches/gtk3: Migrate to gtk3.
  * control: Replace libgtk2.0-dev, libwnck-dev build-dependencies with
    libgtk-3-dev, libwnck-3-dev.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Apr 2020 12:39:38 +0200

compiz-boxmenu (1.1.12-1) unstable; urgency=medium

  * Initial release (Closes: Bug#928987, Bug#857116)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Jun 2019 21:22:49 +0200

=== debian/control ===
Source: compiz-boxmenu
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
               libdbus-glib-1-dev,
	       libgtk-3-dev,
	       libwnck-3-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.com/compiz/compiz-boxmenu
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-boxmenu.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-boxmenu

Package: compiz-boxmenu
Architecture: any
Multi-Arch: foreign
Depends: python3, python3-gi, gir1.2-gtk-3.0, gir1.2-glib-2.0,
         python3-lxml, python3-xdg, ${shlibs:Depends}, ${misc:Depends}
Description: Compiz Reloaded - daemon and clients providing pop-up menus
 Boxmenu provides a number of different menus to the compositing window
 manager Compiz and possibly to other window managers as well.
 .
 It is composed of a daemon that caches the different menus from various
 sources, following desktop standards and a number of clients to ask
 the daemon for a specific type of menu, clients that can be bound to
 different key-chords and mouse events using the Compizconfig Settings
 Manager.
 .
 The components are compiz-boxmenu, compiz-boxmenu-editor, a menu editor
 and compiz-boxmenu-{daemon,dlist,dplist,vplist,wlist}, where the
 specialized clients are respectively for recent documents, desktops,
 viewports and windows.

=== debian/watch ===
version=3
https://gitlab.com/compiz/compiz-boxmenu/-/tags \
/compiz/compiz-boxmenu/.*/compiz-boxmenu-v?@ANY_VERSION@@ARCHIVE_EXT@
